rem ------------------------------------------------------------
rem Installationsroutine
rem ------------------------------------------------------------

rem --- Option: Download in ein temporäres Verzeichnis
rem --- Kann für z.B. für GLPI abgeschaltet werden
set SAVEPATH=%SYSTEMDRIVE%\TEMP\install
MKDIR %SAVEPATH% & CD /D %SAVEPATH%

rem --- Major und Minor Version: z.B. MAJ=4.2, MIN=3 ergibt: 4.2.3
set MAJ=4.2
set MIN=3
rem --- Download Basis-URL, Dateiname und TEMP-Verzeichnis
set BASEURL=https://ftp.halifax.rwth-aachen.de/blender/release/Blender%MAJ%
set PROG=blender-%MAJ%.%MIN%-windows-x64.msi

rem --- Lade Installationsdatei herunter
curl -kL %BASEURL%/%PROG% -o %SAVEPATH%\%PROG%

rem --- Silent-Installation des Programms:
%SYSTEMDRIVE%\windows\system32\msiexec /i "%PROG%" ALLUSERS=1 /qn /passive /l %SAVEPATH%\%PROG%.log 

